Distribution:   CCux Linux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		SDL_gfx
Version:	2.0.18
Release:	1
License:	LGPL
URL:		http://www.ferzkopp.net/~aschiffler/Software/SDL_gfx-2.0/
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	The %{name} library offers several components
Requires:	SDL

# Manual build Dependencies
BuildRequires:	SDL-devel

#Automatically resolved build dependencies
BuildRequires: glibc-devel

%description
The SDL_gfx library offers several components: Graphic Primitives, Rotozoomer, Framerate control,
and MMX image filters. The Primitives component provides basic drawing routines: pixels, hlines,
vlines, lines, aa-lines, rectangles, circles, ellipses, trigons, polygons, Bezier curves,
and an 8x8 pixmap font for drawing onto any SDL Surface.
Full alpha blending, hardware surface locking, and all surface depths are supported.
The Rotozoomer can use interpolation for high quality output.
For more details see: http://www.ferzkopp.net/~aschiffler/Software/SDL_gfx-2.0/

%package	devel
Summary: 	%{name} development headers.
Group: 		Development/Libraries
Requires: 	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
./configure \
--prefix=%_prefix \
--disable-mmx
make

%install
make install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_libdir/*.so.*

%files devel
%defattr(-,root,root)
%_includedir
%_libdir/*.a
%_libdir/*.la
%_libdir/*.so

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Dec 22 2008 Christian Wasem <wasem@ccux-linux.de> 2.0.18-1
- Version update
* Mon Jun 09 2008 Christian Wasem <wasem@ccux-linux.de> 2.0.17-1
- Version update
* Wed Jul 05 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.0.13-4
- rebuilt against SDL 1.2.11
* Sun May 28 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.0.13-3
- rebuilt against SDL 1.2.10
* Fri Nov 25 2005 Christian Wasem <wasem@ccux-linux.de> 2.0.13-2
- rebuilt, removed wrong Obsoletes-Tag,
- added Build-/Requires, changed License to LGPL
* Thu Apr 14 2005 Christian Wasem <wasem@ccux-linux.de> 2.0.13-1
- Update to Version 2.0.13
